# Awesome Godot [![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)

A curated list of [free/libre](https://gnu.org/philosophy/free-sw.html) games, plugins, add-ons and scripts for [Godot](http://godotengine.org).

For installation instructions, read [INSTALL.md](https://github.com/Calinou/awesome-godot/blob/master/INSTALL.md).

## Games

*Games that use Godot.*

### 2D

- [ANSiTURE](https://github.com/w84death/ansiture) -  Adventure platformer using only text based (DOS ANSi) characters
- [Blipshift](https://github.com/wardsky/blipshift) - Simple top-down moving platforms game.
- [BlockPop](https://github.com/vnen/blockpop) - A simple Breakout clone.
- [Bombs](https://github.com/randyyaj/Bombs) - Simple mobile game. You need to touch bombs to diffuse them.
- [Dolphin Island 2](https://github.com/janmarcano/Dolphin-Island-2) - platformer game made for the A Game By It's Cover 2015 Game Jam
- [DynaDungeons](https://github.com/akien-mga/dynadungeons) - Bomberman clone in a fantasy universe.
- [Kraken-Rampage](https://github.com/randyyaj/Kraken-Rampage) - Ludum Dare 33 entry made in 48 hours.
- [Libre Pinball](https://github.com/Calinou/libre-pinball) - A pinball game.
- [Minehunter](https://github.com/genete/Minehunter) - A Minesweeper clone
- [Minilens](http://kobuge-games.github.io/minilens/) - Free puzzle platform game.
- [Mountain of Hope](https://github.com/w84death/mountain-of-hope) - Game made on Theater Game Jam (PGA 2015)
- [Ninja-Training](https://github.com/KOBUGE-Games/Ninja-Training) - Small running game done as 1 hour challenge.
- [No hope](https://github.com/sergicollado/no_hope_LD33) - Ludum Dare 33 entry made in 48 hours.
- [Planet Rider](https://github.com/FEDE0D/Planet-Rider) - 2D physics parkour game in an alien environment.
- [Platshoot](https://github.com/Calinou/platshoot) - A 2D shooter game.
- [Ringed](https://github.com/KOBUGE-Games/ringed) - Top-down shooter with extensive usage of light effects.
- [Tanks of Freedom](https://github.com/w84death/Tanks-of-Freedom) - Free turn-based isometric strategy game.
- [Three Hungry Mice](https://github.com/delstuff/threeHungryMice) - Breakout game with mice made for the Godot Engine Jam 03/2016

### 3D

- [Cheese Hunter](https://github.com/khairul169/cheese-hunter) - A Game for Godot Engine Jam 03/2016
- [MouseBoat](https://github.com/CowThing/MouseBoat) - Play as a mouse and sail around a pond. Cast your rod and try to catch some fish.
- [Veraball](https://github.com/Veraball/veraball) - Free "roll the ball" game. Collect coins and reach the finish, without falling out of the level.

## Demos

*Demos to learn GDScript, its concepts, and various game features.*

- [Cave generator](https://gitlab.com/TeddyDD/Godot-Cave-Generato) - Simple cave generator utilizing Cellular Automata Method
- [FPS Test](https://github.com/Calinou/fps-test) - A singleplayer FPS test. Physics work, but there are no enemies and no proper shooting.
- [HTTP Server](https://github.com/KOBUGE-Games/godot-httpd) - A HTTP 1.0 file server.
- [Pathfinding 2d](https://github.com/FEDE0D/godot-pathfinding2d-demo) - A demo project demonstrating pathfinding using a tilemap.
- [UDP Snapshot interpolation](https://github.com/jrimclean/godot-snapshot-interpolation-demo) - Lets you connect to a server and view networked physics.
- [UDP State synchronization](https://github.com/jrimclean/godot-state-sync-demo) - A more efficient networking demo than the snapshot interpolation one.
- [Voxel Game](https://github.com/toger5/Godot-Voxel-Game-MineCraftClone) - MineCraft like voxel terrain

## Themes

*Themes for your Godot games or user interface.*

- [Iso Dark Theme](https://github.com/GalanCM/Iso-Themes) - A clean, modern dark theme.

## Modules

*Stuff integrated into Godot core (C++).*

- [Gdnet](https://github.com/jrimclean/gdnet) - An ENet wrapper for Godot.
- [Head tracking using OpenCV](https://github.com/antarktikali/godot-opencv-gpu-perspective)
- [Open Adaptive Music Library](https://github.com/oamldev/oamlGodotModule)
- [RawPacker](https://github.com/jrimclean/rawpacker) - Simple binary packing/unpacking for RawArray.
- [WaterSplash 2D node](https://github.com/laverneth/WaterSplash)

## Plugins and scripts

*Scripts that let you do new stuff, or enhance Godot functionality.*

- [Add Primitives](https://github.com/TheHX/add_primitives) - Add cylinders, spheres, cubes easily.
- [Atlas importer](https://github.com/Geequlim/godot-code/tree/master/addons/atlas_importer) - The plugin to import packed atlas from [TexturePacker](https://www.codeandweb.com/texturepacker) and [Attila](https://github.com/r-lyeh/attila)
- [Auto Tile Layer](https://github.com/leezh/autotile) -  addon that allows automatic 2D tiling using RPG Maker's Autotile format
- [Camera2D Screen Shake](http://godotengine.org/qa/438/camera2d-screen-shake-extension) - Screen shake effect for Camera2D.
- [Create Tileset](https://github.com/vinod8990/godot_plugins) - Plugin to generate Godot tilesets based on atlas images
- [CRT Shader](https://github.com/henriquelalves/SimpleGodotCRTShader) - Godot shader that simulates CRT Displays.
- [Easing Script](https://github.com/impmja/godot-easing) - A port of the Robert Penner's equations for easing
- [Example Model Importer](https://github.com/TheHX/godot_examples) - A script that imports models with inverted normals (proof of concept).
- [GodotNotificationCenter](https://github.com/didier-v/GodotNotificationCenter) - A notification center for Godot.
- [GodotTIE](https://github.com/henriquelalves/GodotTIE) - Text Interface Engine to control text output (like in a RPG dialogue)
- [Grass Plugin](https://github.com/marcosbitetti/grass_plugin_4_godot) - A plugin to handle huge amount of grass, foliages and other vegetations
- [gterm](https://github.com/TeddyDD/gterm) - GUI Control that draws something similar to \*nix terminal emulators
- [GUT](https://github.com/bitwes/Gut) - Utility for writing unit tests in GDScript.
- [Heightmap](https://gist.github.com/TheHX/94a83dea1a0f932d5805) - Make an heightmap into terrain.
- [OpenClipArt Store](https://github.com/vinod8990/godot_plugins/tree/master/OpenClipArt_Store) - Lets you integrate OpenClipArt assets easily, with a browser.
- [Polygon Merge](https://github.com/ScyDev/Godot-Scripts) - Merge polygons.
- [Resolution Switcher](https://github.com/vinod8990/godot_plugins) - Switch resolutions easily, for testing.
- [Simplex 2D/3D](https://github.com/OvermindDL1/Godot-Helpers) - Simplex deterministic noise functions.
- [SMRT-Godot](https://github.com/brunosxs/SMRT-Godot) - A dialog system and editor fairly customizable, a nice fit for story-driven games.
- [SUTjoystick](https://gitlab.com/shine-upon-thee/joystick) - Easy gamepad support for GNU/Linux and Windows.
- [Tiled importer](https://github.com/MrGreenTea/GodotTiledImporter) - Import maps from [Tiled](http://mapeditor.org).
- [Tiled importer](https://github.com/Geequlim/godot-code/tree/master/addons/tiled_importer) - The plugin to import tile maps from [Tiled](http://www.mapeditor.org/) with all features supported.
- [Tileset Builder](https://gist.github.com/Calinou/27e979ab0a35500c3381) - Build tilesets.
- [Simple Adventure API](https://github.com/Qudware/godot-adventure-api) - Create Adventure/VN/IF games with a simple API

## GDScript syntax highlighting

*Add-ons for text editors that add syntax highlighting to GDscript.*

- [Atom](https://atom.io/packages/lang-gdscript)
- [Geany](https://github.com/haimat/GDScript-Geany)
- [Gedit](https://github.com/haimat/GDScript-gedit)
- [Sublime Text](https://github.com/beefsack/GDScript-sublime)
- [Vim](https://github.com/quabug/vim-gdscript)

## Godot text editor color themes

*Alternative themes for built-in text editor.*

- [Chester, Google code light and Monokai](https://github.com/Geequlim/godot-code/tree/master/styles/syntax)
- [Syntax themes by Calinou](https://github.com/Calinou/godot-syntax-themes) - Atom Dark, Gruvbox Dark, Metro, Monokai, One Dark, Solarized Dark


## Unofficial builds of Godot

*Those builds will let you use recent versions of Godot Git, but they may be less stable than official ones, use at your own risk.*

- [Calinou's nightly builds](http://archive.hugo.pro/godot/)
- [Fixnum's nightly builds](http://fixnum.org/godot/)
- [Purple Orange Games' nightly builds](http://purpleorangegames.com/godot/)

## Other

*Other stuff.*

- [godot.sh](https://github.com/adolson/godot-stuff/blob/master/godot.sh) - Script that automatically downloads and launches latest version of Godot, or compiles and launches git master branch.
- [godot-wrapper](https://github.com/nsrosenqvist/godot-wrapper.git) - Script that helps Debian and Ubuntu users install and use Godot.
- [joystick-mapping](https://github.com/Hinsbart/joystick-mapping) - Tool to generate gamepad mappings for all supported platforms.
- [replicate-file.sh](https://github.com/adolson/godot-stuff/blob/master/replicate-file.sh) - Script to update copies of a file with one master file.
- [strip-to-frames.pl](https://github.com/adolson/godot-stuff/blob/master/strip-to-frames.pl) - Perl script to split a grid spritesheet image into numbered individual frame files.
- [update-git.sh](https://gist.github.com/Calinou/93938dc92484bc5e89f0) - Updates all Git repositories contained in a directory.
